paper.h File Reference

Paper size functions. More...

`#include <gutenprint/types.h>`
`#include <gutenprint/vars.h>`

## Data Structures

struct | stp_papersize_t
| The papersize data type. More...

## Enumerations

enum | stp_papersize_unit_t { PAPERSIZE_ENGLISH_STANDARD , PAPERSIZE_METRIC_STANDARD , PAPERSIZE_ENGLISH_EXTENDED , PAPERSIZE_METRIC_EXTENDED }
| Units of measurement. More...
enum | stp_papersize_type_t { PAPERSIZE_TYPE_STANDARD = 0 , PAPERSIZE_TYPE_ENVELOPE }

## Functions

const stp_papersize_t * | stp_describe_papersize (const stp_vars_t *v, const char *name)
| Get a papersize by name.
void | stp_default_media_size (const stp_vars_t *v, stp_dimension_t *width, stp_dimension_t *height)
| Get the default paper dimensions for the current configuration.

## Detailed Description

Paper size functions.